> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Index a document using a profile ID

> Index the document with the given index profile and associated index pipeline, collection ID, and parser.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-async-parsing.json post /async-parsing/parser/standalone/{profileId}
openapi: 3.0.1
info:
  title: Fusion Async Parsing API
  description: >-
    The Async Parsing CRUD API provides async parsing services for parsers. It
    replaces the Parsers API.


    To configure an index pipeline to use a specific parser, see the Index
    Pipelines API.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Failed Documents API
    description: >-
      Endpoints to get details about and remove documents that failed the
      parsing process.
  - name: Parsers CRUD API
    description: Endpoints to perform Create-Read-Update-Delete operations on parsers.
  - name: Parsers Schema API
    description: Endpoints to get the schema of parsers.
  - name: Async Parsing API
    description: Endpoints to indexation with asynchronous parsing
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /async-parsing/parser/standalone/{profileId}:
    post:
      tags:
        - Async Parsing API
      summary: Index a document using a profile ID
      description: >-
        Index the document with the given index profile and associated index
        pipeline, collection ID, and parser.
      operationId: index
      parameters:
        - name: profileId
          in: path
          required: true
          description: The ID of the index profile used to process the document.
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          description: >-
            The MIME type of the content being indexed, typically
            application/octet-stream.
          schema:
            type: string
            default: application/octet-stream
        - name: request
          in: query
          required: true
          description: Binary payload to be indexed by the specified pipeline and parser.
          schema:
            type: string
            format: binary
      responses:
        '204':
          description: No Content

````